import os
from setuptools import setup

from yatts import __version__

with open('README.rst') as fin:
    readme = fin.read()

with open('HISTORY.rst') as fin:
    history = fin.read()

with open('requirements.txt') as f:
    requirements = filter(
        lambda line: line and not line[0] in ['#', '-'],
        f.read().splitlines()
    )
    requirements = list(requirements)

description = "yatts - yet another text to speech converter (and translator)"
setup(
    name='yatts',
    version=__version__,
    description=description,
    long_description=readme + '\n\n' + history,
    author='Kent Crawford',
    author_email='kentcrawford@gmail.com',
    url='https://github.com/KentCrawford/yatts',
    packages=['yatts'],
    install_requires=requirements,
    include_package_data=False,
    license='Apache 2.0',
    classifiers=(
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Intended Audience :: End Users/Desktop',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4'
    ),
    keywords=['text to speech', 'TTS', 'mp3', 'translate', 'translation',
              'translator'],
    entry_points={
        'console_scripts': [
            'yatts = yatts.yatts:main'
        ]
    }
)

