import argparse
import os


def setup():
    """Setup argument parser."""
    fc = argparse.RawTextHelpFormatter
    fc = argparse.ArgumentDefaultsHelpFormatter
    description = ("yatts - yet another text to speech converter (and "
                   "translator) using Google's TTS API")

    parser = argparse.ArgumentParser(description=description,
                                     formatter_class=fc)
    parser.add_argument('file', nargs='*', default=['-'],
                        help=('input file to be processed. '
                              'if - or empty, stdin will be read'))
    parser.add_argument('-f', '--fout', dest='fout',
                        default=None,
                        help=('name of output file. if None, data is written '
                              'to stdout'))
    parser.add_argument('-l', '--lang', '--language', dest='lang',
                        default=None,
                        help=('Language code (see --language-codes for a '
                              'complete list)'))
    parser.add_argument('--tt', '--translate-to', dest='translate_to_lang',
                        default=None,
                        help=('Language to translate to'))
    parser.add_argument('--lc', '--language-codes', dest='language_codes',
                        default=False, action='store_true',
                        help='display a full list of language codes')
    parser.add_argument('--http-proxy', dest='http_proxy', default=None,
                        help=('http proxy to route traffic through. '
                              'http://[user:password@]proxyhost:port'))
    default_config_file = os.path.join(os.path.expanduser("~"), '.yatts.cfg')
    parser.add_argument('--config', dest='config_file',
                        default=default_config_file,
                        help='path to config file')

    return parser

def parse(args=None, namespace=None):
    return setup().parse_args(args, namespace)
