import os.path


def load(config_file):
    """Load configuration file.  Returns a dict."""
    config = {}
    config_file = os.path.expanduser(config_file)

    if not os.path.isfile(config_file):
        return config

    with open(config_file) as fin:
        for line in fin:
            if line.startswith('#') or '=' not in line:
                continue
            k, v = line.split('=')
            config[k.strip()] = v.strip()

    return config
