from __future__ import print_function


nltk = {'cs': 'czech',
        'da': 'danish',
        'nl': 'dutch',
        'en': 'english',
        'et': 'estonian',
        'fi': 'finnish',
        'fr': 'french',
        'de': 'german',
        'el': 'greek',
        'it': 'italian',
        'no': 'norwegian',
        'pl': 'polish',
        'pt': 'portuguese',
        'sk': 'slovene',
        'es': 'spanish',
        'sv': 'swedish',
        'tr': 'turkish'}


_tts = {'af': 'Afrikaans',
        'sq': 'Albanian',
        'ar': 'Arabic',
        'hy': 'Armenian',
        'ca': 'Catalan',
        'zh-cn': 'Chinese (Simplified)',
        'zh-tw': 'Chinese (Traditional)',
        'zh-yue': 'Chinese (Cantonese)',
        'hr': 'Croatian',
        'cs': 'Czech',
        'da': 'Danish',
        'nl': 'Dutch',
        'en': 'English',
        'en-au': 'English (Australia)',
        'en-uk': 'English (United Kingdom)',
        'en-us': 'English (United States)',
        'eo': 'Esperanto',
        'fi': 'Finnish',
        'fr': 'French',
        'de': 'German',
        'el': 'Greek',
        'ht': 'Haitian Creole',
        'hi': 'Hindi',
        'hu': 'Hungarian',
        'is': 'Icelandic',
        'id': 'Indonesian',
        'it': 'Italian',
        'ja': 'Japanese',
        'ko': 'Korean',
        'la': 'Latin',
        'lv': 'Latvian',
        'mk': 'Macedonian',
        'no': 'Norwegian',
        'pl': 'Polish',
        'pt': 'Portuguese',
        'pt-br': 'Portuguese (Brazil)',
        'ro': 'Romanian',
        'ru': 'Russian',
        'sr': 'Serbian',
        'sk': 'Slovak',
        'es': 'Spanish',
        'es-es': 'Spanish (Spain)',
        'es-us': 'Spanish (United States)',
        'sw': 'Swahili',
        'sv': 'Swedish',
        'ta': 'Tamil',
        'th': 'Thai',
        'tr': 'Turkish',
        'vi': 'Vietnamese',
        'cy': 'Welsh'}

_translate = {'az': 'Azerbaijani',
              'eu': 'Basque',
              'be': 'Belarusian',
              'bn': 'Bengali',
              'bs': 'Bosnian',
              'bg': 'Bulgarian',
              'ceb': 'Cebuano',
              'ny': 'Chichewa',
              'et': 'Estonian',
              'tl': 'Filipino',
              'gl': 'Galician',
              'ka': 'Georgian',
              'gu': 'Gujarati',
              'ha': 'Hausa',
              'iw': 'Hebrew',
              'hmn': 'Hmong',
              'ig': 'Igbo',
              'ga': 'Irish',
              'jw': 'Javanese',
              'kn': 'Kannada',
              'kk': 'Kazakh',
              'km': 'Khmer',
              'lo': 'Lao',
              'lt': 'Lithuanian',
              'mg': 'Malagasy',
              'ms': 'Malay',
              'ml': 'Malayalam',
              'mt': 'Maltese',
              'mi': 'Maori',
              'mr': 'Marathi',
              'mn': 'Mongolian',
              'my': 'Myanmar (Burmese)',
              'ne': 'Nepali',
              'fa': 'Persian',
              'pa': 'Punjabi',
              'st': 'Sesotho',
              'si': 'Sinhala',
              'sl': 'Slovenian',
              'so': 'Somali',
              'su': 'Sundanese',
              'tg': 'Tajik',
              'te': 'Telugu',
              'uk': 'Ukrainian',
              'ur': 'Urdu',
              'uz': 'Uzbek',
              'yi': 'Yiddish',
              'yo': 'Yoruba',
              'zu': 'Zulu'}


def display():
    import operator
    tbl_header = ('  code   language\n'
                  '  ====== ========')

    tts_support = []
    translate_support = []

    for k, v in sorted(_tts.items(), key=operator.itemgetter(1)):
        tts_support.append((k, v))
    for k, v in sorted(_translate.items(), key=operator.itemgetter(1)):
        translate_support.append((k, v))

    col_formatter = '  {:<7}{}'.format


    print('  Languages with TTS Support\n')
    print(tbl_header)
    for k, v in tts_support:
        print(col_formatter(k, v))

    print('\n  Languages with Text Translatation Support\n')
    print(tbl_header)
    for k, v in translate_support:
        print(col_formatter(k, v))


def setup():
    p = lambda l: l.lower().replace(' ', '_').replace('(', '').replace(')', '')
    for k, v in list(_tts.items()) + list(_translate.items()):
        v = p(v)
        globals()[v] = k

setup()
